import apiRequest from '@/network/http/apiRequest'

/**
 * 分页查询Todo任务
 * @param data
 * @returns
 */
export function getTodoTaskByPage(data: any) {
  return apiRequest({
    url: '/task/todo/page',
    method: 'GET',
    params: data,
  })
}

/**
 * 列表查询Todo任务
 * @param data
 * @returns
 */
export function getTodoTaskByList(data: any) {
  return apiRequest({
    url: '/task/todo',
    method: 'GET',
    params: data,
  })
}

/**
 * 基于ID查询Todo任务
 * @param taskId
 * @returns
 */
export function getTodoTaskById(taskId: number) {
  return apiRequest({
    url: `/task/todo/${taskId}`,
    method: 'GET',
  })
}

/**
 * 处理Todo任务
 * @param data
 * @returns
 */
export function handleTotoTask(data: any) {
  return apiRequest({
    url: '/task/todo/handle',
    method: 'POST',
    data,
  })
}

/**
 * 删除Todo任务
 * @param todoId
 * @returns
 */
export function deleteTodoTaskById(todoId: number) {
  return apiRequest({
    url: `/task/todo/${todoId}`,
    method: 'DELETE',
  })
}
